// Custom Theming for Angular Material
// For more information: https://material.angular.io/guide/theming
@import '~@angular/material/theming';
// Plus imports for other components in your app.

// Include the common styles for Angular Material. We include this here so that you only
// have to load a single css file for Angular Material in your app.
// Be sure that you only ever include this mixin once!
@include mat-core();

// Define the palettes for your theme using the Material Design palettes available in palette.scss
// (imported above). For each palette, you can optionally specify a default, lighter, and darker
// hue. Available color palettes: https://material.io/design/color/
$netlify-primary: mat-palette($mat-indigo);
$netlify-accent: mat-palette($mat-pink, A200, A100, A400);

// The warn palette is optional (defaults to red).
$netlify-warn: mat-palette($mat-red);

// Create the theme object (a Sass map containing all of the palettes).
$netlify-theme: mat-light-theme($netlify-primary, $netlify-accent, $netlify-warn);

// Include theme styles for core and each component used in your app.
// Alternatively, you can import and @include the theme mixins for each component
// that you are using.
@include angular-material-theme($netlify-theme);

/* You can add global styles to this file, and also import other style files */

html, body {
  height: 100%;
  min-height: 100vh;
}

body {
  margin: 0;
  font-family: Roboto, "Helvetica Neue", sans-serif;
}

.mtf-input {
  display: block;
  background: #FFFFFF;
  box-shadow: 0 0 4px rgba(0, 0, 0, 0.25);
  border-radius: 25px;
  margin: 15px auto;
  outline: none;
  cursor: pointer;
  max-width: 300px;
}

.mtf-login-btn {
  background: #3C9D9B;
  border-radius: 25px;
  width: 100%;
  max-width: 300px;
  margin: 15px auto;
  outline: none;
  cursor: pointer;
  display: block;
  color: #fff;
}

#mtf-logo {
  width: 200px;
  height: 60px;
  background: url("/assets/images/mtf-logo.svg") no-repeat center / contain;
  display: inline-block;
}

#mtf-logo-navbar {
  width: 200px;
  height: 40px;
}

